/// <reference types="react" />
import { AxiosPromise, AxiosRequestConfig, AxiosResponse } from 'axios';
export declare type PromiseCallback<T> = {
    readonly resolve: (result: T) => void;
    readonly reject: (error: Error) => void;
};
export declare type WormholeSource = {
    readonly uri: string;
} | string;
export declare type WormholeComponentCache = {
    readonly [uri: string]: React.Component | null;
};
export declare type WormholeTasks = {
    readonly [uri: string]: PromiseCallback<React.Component>[];
};
export declare type WormholeOptions = {
    readonly dangerouslySetInnerJSX: boolean;
};
export declare type WormholeContextConfig = {
    readonly verify: (response: AxiosResponse<string>) => Promise<boolean>;
    readonly buildRequestForUri?: (config: AxiosRequestConfig) => AxiosPromise<string>;
    readonly global?: any;
};
